<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{bandejaReportesMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}
</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>REPORTE REGISTRO DE USUARIOS - SALA DEL USUARIO - SEDE SAN BORJA</span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Sala de Atención al Usuario</li>
		<li>Reporte Registro de Usuarios</li>
	</ui:define>
	<!-- administrador por BNP -->
	<ui:define name="content">
        #{bandejaReportesMB.validarSesion()}
        #{bandejaReportesMB.iniciarReporteRegistroUsuario()}
	    <div class="row">
			<h:form id="frmReporte">
				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb">
							<div class="col-sm-12">
								<label class="control-label"><b>Filtro de Búsqueda</b></label>
							</div>
						</div>

						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-6">
									<div class="form-group">
										<h:outputLabel for="fechaTramiteDesde" value="Desde : " styleClass="control-label"></h:outputLabel>
										<div class="input-group">
										<p:calendar value="#{bandejaReportesMB.filtroBase.rangoFechaDesde}" id="fechaTramiteDesde" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaTramiteDesde" locale="es" maxdate="#{bandejaReportesMB.fechaActual}" />
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
								<div class="col-sm-6">
									<div class="form-group">
										<h:outputLabel for="fechaTramiteHasta" value="Hasta : " styleClass="control-label"></h:outputLabel>
										<div class="input-group">
										<p:calendar value="#{bandejaReportesMB.filtroBase.rangoFechaHasta}" id="fechaTramiteHasta" popupIconOnly="true"  pattern="dd/MM/yyyy" widgetVar="wvfechaTramiteHasta" locale="es" maxdate="#{bandejaReportesMB.fechaActual}" />
									    <span class="input-group-addon"><span class="fa fa-calendar-o"></span></span>		
										</div>
									</div>
								</div>
							</div>
							<br />
							<div class="row box-mb">
								<div	class="col-sm-12 box-btn-tab text-right box-main-btn xx_box-btn">
									<p:commandButton id="idBuscar" value="Buscar"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										actionListener="#{bandejaReportesMB.obtenerReporteRegistroUsuario}"
										update="frmReporte" ajax="true" />

									<p:commandButton id="idLimpiar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Limpiar"
										actionListener="#{bandejaReportesMB.limpiarFiltroReporteRegistroUsuario}"
										icon="icon-limpiar" update="frmReporte" ajax="true" />
										
									<p:commandButton styleClass="btn btn-default btn-sensitive btn-buscar" 
										value="Exportar" ajax="false" 
										actionListener="#{bandejaReportesMB.exportarReporteRegistroUsuario()}"
										update="frmReporte" />    										
								</div>
							</div>

						</p:fieldset>
						<!-- *************************************************************************************************************************** -->
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12">
								<label class="control-label"><b>Registros
										Encontrados</b></label>
							</div>
						</div>
 
						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas2" var="registro"
										value="#{bandejaReportesMB.listaReporteRegistroUsuarios}"
										rowKey="#{registro.id}" paginator="true" scrollable="true" 
										rowIndexVar="item" paginatorPosition="bottom" rows="100"
										style="text-align:center;" emptyMessage="No existen registros">
										<p:column headerText="Fila" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.fila}" />
										</p:column>
										<p:column headerText="Fecha" style="width:20px;text-aling:center;" >
											<h:outputText value="#{registro.fechaTramite}" />
										</p:column>
										<p:column headerText="Tipo de usuario" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.tipoUsuario}" />
										</p:column>										
										<p:column headerText="Origen" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.origen}" />
										</p:column>										
										<p:column headerText="Cod.Lector Absysnet" style="width:20px;text-aling:center;" >
											<h:outputText value="#{registro.codBarrasLector}" />
										</p:column>										
										<p:column headerText="Tipo de Documento" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.tipoDocumentoIdentidad}" />
										</p:column>										
										<p:column headerText="Número de Documento" style="width:25px;text-aling:center;" >
											<h:outputText value="#{registro.numeroDocumentoIdentidad}" />
										</p:column>										
										<p:column headerText="Fecha Nacimiento" style="width:20px;text-aling:center;" >
											<h:outputText value="#{registro.fechaNacimiento}" />
										</p:column>										
										<p:column headerText="Sexo" style="width:3px;text-aling:center;" >
											<h:outputText value="#{registro.sexo}" />
										</p:column>										
										<p:column headerText="Tipo de Registro" style="width:20px;text-aling:center;" >
											<h:outputText value="#{registro.tipoRegistro}" />
										</p:column>										
										<p:column headerText="Inicio Vigencia" style="width:22px;text-aling:center;" >
											<h:outputText value="#{registro.fechaInicio}" />
										</p:column>										
										<p:column headerText="Fin Vigencia" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.fechaFin}" />
										</p:column>										
										<p:column headerText="Grado de Instrucción" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.gradoInstruccion}" />
										</p:column>										
										<p:column headerText="Nacionalidad" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.nacionalidad}" />
										</p:column>										
										<p:column headerText="País" style="width:20px;text-aling:center;" >
											<h:outputText value="#{registro.pais}" />
										</p:column>										
										<p:column headerText="Departamento" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.departamento}" />
										</p:column>										
										<p:column headerText="Provincia" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.provincia}" />
										</p:column>										
										<p:column headerText="Distrito" style="width:40px;text-aling:center;" >
											<h:outputText value="#{registro.distrito}" />
										</p:column>										
										<p:column headerText="Estado" style="width:30px;text-aling:center;" >
											<h:outputText value="#{registro.estado}" />
										</p:column>										
									</p:dataTable>

								</div>
							</div>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
				</div>
			</h:form>
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
		</div>

	</ui:define>

</ui:composition>